//
// Copyright 2002, Lowell Boggs Jr.
//
// This file or directory, containing source code for a computer program,
// is Copyrighted by Lowell Boggs, Jr.  987 Regency Drive, Lewisville
// TX (USA), 75067.  You may use, copy, modify, and distribute this
// source file without charge or obligation so long as you agree to
// the following:
//
//  1.  You must indemnify Lowell Boggs against any and all financial
//      obligations caused by its use, misuse, function, or malfunction.
//      Further, you acknowledge that there is no warranty of any kind,
//      whatsoever.
//
//  2.  You agree not to attempt to patent any portion of this original
//      work -- though you may attempt to patent your own extensions to
//      it if you so choose.
//
//  3.  You keep this copyright notice with the file and all copies
//      of the file and do not change it anyway except language translation.
//
// You are responsible for enforcing your own compliance with these
// conditions and may not use this source file if you cannot agree to the
// above terms and conditions.
//
// Warning:  not all files in this directory structure are covered by the
// same copyright.  Some of them are part of the GNU source distribution
// and you must obey the GPL copyright for those files.

#ifndef cpp_glob_header_included_p
#define cpp_glob_header_included_p

#include <list>
#include <string>

void glob(std::string const &fileNamePattern, std::list<std::string> &output);
  //.  
  //.  function glob takes a file name pattern and returns a list of files that match
  //.  that pattern.  The pattern can look like this:
  //.  
  //.    /a/b*m.?e/f*.c
  //.
  //.  That is, multiple directory levels may be specified in the pattern.  Within each individual
  //.  directory node, the following characters are treated as wild cards:
  //.
  //.   *        -- any group of multiple characters
  //.   ?        -- any single character
  //.   [m-pzab] -- any character in the range m through p plus characters z, a, and b
  //.   X        -- the character X
  //.  

#endif
